opensaml-3.0.1

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
opensaml::saml2p::SAML2Artifact Class Reference

Base class for SAML 2.0 artifacts. More...

`#include <saml/saml2/binding/SAML2Artifact.h>`

Inheritance diagram for opensaml::saml2p::SAML2Artifact:
[legend]
Collaboration diagram for opensaml::saml2p::SAML2Artifact:
[legend]

## Public Member Functions
virtual int | getEndpointIndex () const
| Returns the endpoint index of the artifact. More...
Public Member Functions inherited from opensaml::SAMLArtifact
virtual std::string | encode () const
| Returns artifact encoded into null-terminated base64 for transmission.
virtual SAMLArtifact * | clone () const =0
| Builds a duplicate, independent artifact of the same type. More...
virtual std::string | getBytes () const
| Returns all of the raw binary data that makes up the artifact. More...
virtual std::string | getTypeCode () const
| Returns the binary type code of the artifact. More...
virtual std::string | getRemainingArtifact () const
| Returns the binary artifact data following the type code. More...
virtual std::string | getSource () const =0
| Returns a string that identifies the source of the artifact. More...
virtual std::string | getMessageHandle () const =0
| Returns the binary data that references the message (2.0) or assertion (1.x) The exact form this takes depends on the type. More...

## Static Public Attributes
static const unsigned int | INDEX_LENGTH
| Length of endpoint index.
Static Public Attributes inherited from opensaml::SAMLArtifact
static const unsigned int | TYPECODE_LENGTH
| Length of type code.

## Protected Member Functions
| SAML2Artifact (const char *s)
| Constructor. More...
| SAML2Artifact (const SAML2Artifact &src)
| Copy constructor. More...
Protected Member Functions inherited from opensaml::SAMLArtifact
| SAMLArtifact (const char *s)
| Decodes a base64-encoded artifact into its raw form. More...
| SAMLArtifact (const SAMLArtifact &src)
| Copy constructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from opensaml::SAMLArtifact
static SAMLArtifact * | parse (const char *s)
| Parses a base64-encoded null-terminated string into an artifact, if the type is known. More...
static SAMLArtifact * | parse (const XMLCh *s)
| Parses a base64-encoded null-terminated string into an artifact, if the type is known. More...
static std::string | toHex (const std::string &s)
| Converts binary data to hex notation. More...
Protected Attributes inherited from opensaml::SAMLArtifact
std::string | m_raw
| Raw binary data that makes up an artifact.

## Detailed Description

Base class for SAML 2.0 artifacts.

## Constructor & Destructor Documentation

## ◆ SAML2Artifact() [1/2]

opensaml::saml2p::SAML2Artifact::SAML2Artifact | ( | const char * | s | ) |
| protected

Constructor.

Parameters

  s | raw artifact string

## ◆ SAML2Artifact() [2/2]

opensaml::saml2p::SAML2Artifact::SAML2Artifact | ( | const SAML2Artifact & | src | ) |
| protected

Copy constructor.

Parameters

  src | object to copy

## Member Function Documentation

## ◆ getEndpointIndex()

virtual int opensaml::saml2p::SAML2Artifact::getEndpointIndex | ( |  | ) | const
| virtual

Returns the endpoint index of the artifact.

Returns
  endpoint index

The documentation for this class was generated from the following file:

- saml/saml2/binding/SAML2Artifact.h